/*
 *  Copyright 2011-2012 by Texas Instruments Incorporated.
 *
 */
/* Load the CSL package */
var devType = "k2l"
var Csl = xdc.useModule('ti.csl.Settings');
Csl.deviceType = devType;

/* Load the CPPI package */
var Cppi                        =   xdc.loadPackage('ti.drv.cppi');     

/* Load the QMSS package */
var Qmss                        =   xdc.loadPackage('ti.drv.qmss');

/* Load the PA package */
var Pa 							= 	xdc.loadPackage('ti.drv.pa');


/* Load the PA package */
var Rm 							= 	xdc.loadPackage('ti.drv.rm');

/* Load the trace framework package */
var traceframework				= 	xdc.loadPackage('ti.instrumentation.traceframework');

/* Load the bmet library */
var bmet_ch				    = xdc.loadPackage('ti.transport.bmet_eth');

var ti_sysbios_family_c64p_EventCombiner = xdc.useModule('ti.sysbios.family.c64p.EventCombiner');

var Defaults = xdc.useModule('xdc.runtime.Defaults');
var Diags = xdc.useModule('xdc.runtime.Diags');
var Error = xdc.useModule('xdc.runtime.Error');
var Log = xdc.useModule('xdc.runtime.Log');
var UIABenchmark = xdc.useModule('ti.uia.events.UIABenchmark');
var LogSnapshot = xdc.useModule('ti.uia.runtime.LogSnapshot');
/* UIA 1.1.2.X onwards supports legacy loggerstreamer or multiintance loggerstreamer2 - use one of them
   in the configurations */
var LoggerStreamer2 = xdc.useModule('ti.uia.sysbios.LoggerStreamer2');
LoggerStreamer2.L_test.msg = "LS2Test";
var LoggerStreamer  = xdc.useModule('ti.uia.sysbios.LoggerStreamer');
var Main = xdc.useModule('xdc.runtime.Main');
var Memory = xdc.useModule('xdc.runtime.Memory')
var SysMin = xdc.useModule('xdc.runtime.SysMin');
var System = xdc.useModule('xdc.runtime.System');
var Text = xdc.useModule('xdc.runtime.Text');

var BIOS = xdc.useModule('ti.sysbios.BIOS');
var Hwi = xdc.useModule('ti.sysbios.hal.Hwi');
var Task = xdc.useModule('ti.sysbios.knl.Task');
var Semaphore = xdc.useModule('ti.sysbios.knl.Semaphore');
var Idle = xdc.useModule('ti.sysbios.knl.Idle');
var HeapMem = xdc.useModule('ti.sysbios.heaps.HeapMem');

/* Debug enable for BIOS */
//BIOS.libType = BIOS.LibType_Debug;

/* Load the Exception and register a exception hook */
var Exception = xdc.useModule('ti.sysbios.family.c64p.Exception');
Exception.exceptionHook = '&myExceptionHook';


/* Custom linker command file to be used for the application */
Program.linkTemplate = "ti/instrumentation/traceframework/test/TFUnitTest/src/c66x/bios/c66xelflinkcmd.xdt";

/* 
 * Program.argSize sets the size of the .args section. 
 * The examples don't use command line args so argSize is set to 0.
 */
Program.argSize = 0x0;

/*
 * Uncomment this line to globally disable Asserts.
 * All modules inherit the default from the 'Defaults' module.  You
 * can override these defaults on a per-module basis using Module.common$. 
 * Disabling Asserts will save code space and improve runtime performance.
Defaults.common$.diags_ASSERT = Diags.ALWAYS_OFF;
 */

/*
 * Uncomment this line to keep module names from being loaded on the target.
 * The module name strings are placed in the .const section. Setting this
 * parameter to false will save space in the .const section.  Error and
 * Assert messages will contain an "unknown module" prefix instead
 * of the actual module name.
Defaults.common$.namedModule = false;
 */

/*
 * Minimize exit handler array in System.  The System module includes
 * an array of functions that are registered with System_atexit() to be
 * called by System_exit().
 */
System.maxAtexitHandlers = 4;       

/* 
 * Uncomment this line to disable the Error print function.  
 * We lose error information when this is disabled since the errors are
 * not printed.  Disabling the raiseHook will save some code space if
 * your app is not using System_printf() since the Error_print() function
 * calls System_printf().
Error.raiseHook = null;
 */

/* 
 * Uncomment this line to keep Error, Assert, and Log strings from being
 * loaded on the target.  These strings are placed in the .const section.
 * Setting this parameter to false will save space in the .const section.
 * Error, Assert and Log message will print raw ids and args instead of
 * a formatted message.
Text.isLoaded = false;
 */

/*
 * Uncomment this line to disable the output of characters by SysMin
 * when the program exits.  SysMin writes characters to a circular buffer.
 * This buffer can be viewed using the SysMin Output view in ROV.
SysMin.flushAtExit = false;
 */

/*
 * The BIOS module will create the default heap for the system.
 * Specify the size of this default heap.
 */
BIOS.heapSize = 0x30000;

/* System stack size (used by ISRs and Swis) */
Program.stack = 0x10000;

/* Default Stack Size */
Task.defaultStackSize = 0x8000; 

/* Circular buffer size for System_printf() */
SysMin.bufSize = 0x400;

/* Provide the Library provided functions */
/* Don't set the prime from the application, producer would prime it */
/* LoggerStreamer.primeFxn = '&uiaProducerPrime'; */
LoggerStreamer.exchangeFxn = '&tf_uiaProducerBufExchange';
var logger0 = LoggerStreamer.create();
Defaults.common$.logger = logger0;
Program.global.logger = logger0;

/* Turn on USER1 logs in Task module */
Main.common$.diags_USER1 = Diags.ALWAYS_ON;
Main.common$.diags_ANALYSIS = Diags.ALWAYS_ON;

System.SupportProxy = SysMin;

/* Create the local heap memory for Bare metal Ethernet Transport/consumers */
var heapMemParams = new HeapMem.Params;
heapMemParams.size = 16384*16;
heapMemParams.align = 8;
heapMemParams.sectionName = "uTestLocalHeapSect";
Program.global.uTestLocalHeapSect = HeapMem.create(heapMemParams);


Program.sectMap[".cppi"]  = "MSMCSRAM";

Program.sectMap[".qmss"] = new Program.SectionSpec();
Program.sectMap[".qmss"].loadSegment = "MSMCSRAM"; // pick the memory segment where you want it.
Program.sectMap[".qmss"].type = "NOINIT";

/* Descriptors should be in L2SRAM or MSMCSRAM*/
Program.sectMap[".gHostDescBufs"] = "L2SRAM";
Program.sectMap[".rm"]="MSMCSRAM";
Program.sectMap[".cinit"]="L2SRAM";
Program.sectMap[".const"]="L2SRAM";
Program.sectMap[".switch"]="L2SRAM";
Program.sectMap[".vecs"]="L2SRAM";
Program.sectMap[".far"]="L2SRAM";
Program.sectMap[".fardata"]="L2SRAM";
Program.sectMap[".rodata"]="L2SRAM";
Program.sectMap[".data"]="L2SRAM";
Program.sectMap[".text"] = "MSMCSRAM";
Program.sectMap[".utestContractBufs"] = "TF_CONTRACT_RSVD";
Program.sectMap[".utestNameServer"] = "TF_NAMESERVER_RSVD";
Program.sectMap[".utestLogBuffers"] = "MSMCSRAM";
Program.sectMap["uTestLocalHeapSect"] = "L2SRAM";
Program.sectMap[".utestSyncRam"] = "TF_SYNCMEM_RSVD";
Program.sectMap[".localL2Sect"] = "L2SRAM";
Program.sectMap[".utestStatus"] = "TF_TESTSTATUS_RSVD"; /* Shared memory for all cores */
Program.sectMap[".sharedGRL"] = "MSMCSRAM"; 
Program.sectMap[".sharedPolicy"] = "MSMCSRAM"; 

/*
 * Enable Event Groups here and registering of ISR for specific GEM INTC is done
 * using EventCombiner_dispatchPlug() and Hwi_eventMap() APIs
 */
ti_sysbios_family_c64p_EventCombiner.eventGroupHwiNum[0] = 7;
ti_sysbios_family_c64p_EventCombiner.eventGroupHwiNum[1] = 8;
ti_sysbios_family_c64p_EventCombiner.eventGroupHwiNum[2] = 9;
ti_sysbios_family_c64p_EventCombiner.eventGroupHwiNum[3] = 10;


/* var UIAMetaData = xdc.useModule('ti.uia.runtime.UIAMetaData'); */

 


/*
 *  @(#) ti.uia.examples.single; 2, 0, 0, 0,1; 11-17-2011 19:41:09; /db/vtree/library/trees/uia/uia-c26/src/ xlibrary

 */

